SWFieldManagerInternal::FieldPageNumber Struct Reference documentation

SWFieldManagerInternal::FieldPageNumber Struct Reference

Internal: a pageNumber field. More...

Inheritance diagram for SWFieldManagerInternal::FieldPageNumber:

## Public Member Functions
| FieldPageNumber ()
| constructor
| FieldPageNumber (Field const &orig)
| copy constructor
virtual | ~FieldPageNumber ()
| destructor
virtual bool | send (STOFFListenerPtr listener, StarState &state) const
| add to send the zone data
virtual void | print (std::ostream &o) const
| print a field
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor
virtual | ~Field ()
| destructor

## Public Attributes
librevenge::RVNGString | m_userString
| the userString
int | m_offset
| the offset
bool | m_isOn
| a flag to know if isOn
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &orig)
| copy constructor

## Detailed Description

Internal: a pageNumber field.

## Constructor & Destructor Documentation

## ◆ FieldPageNumber() [1/2]

SWFieldManagerInternal::FieldPageNumber::FieldPageNumber | ( |  | ) |
| inline

constructor

## ◆ FieldPageNumber() [2/2]

SWFieldManagerInternal::FieldPageNumber::FieldPageNumber | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldPageNumber()

SWFieldManagerInternal::FieldPageNumber::~FieldPageNumber | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ print()

virtual void SWFieldManagerInternal::FieldPageNumber::print | ( | std::ostream & | o | ) | const
| inlinevirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

## ◆ send()

bool SWFieldManagerInternal::FieldPageNumber::send | ( | STOFFListenerPtr | listener,
|  | StarState & | state ) const
| virtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_isOn

bool SWFieldManagerInternal::FieldPageNumber::m_isOn

a flag to know if isOn

Referenced by FieldPageNumber(), FieldPageNumber(), and print().

## ◆ m_offset

int SWFieldManagerInternal::FieldPageNumber::m_offset

the offset

Referenced by FieldPageNumber(), FieldPageNumber(), print(), and send().

## ◆ m_userString

librevenge::RVNGString SWFieldManagerInternal::FieldPageNumber::m_userString

the userString

Referenced by FieldPageNumber(), FieldPageNumber(), and print().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx